Loading...
Searching...
No Matches
pcl::tracking::_ParticleXYZRPY Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYZRPY:

## Public Attributes

union { |
struct { |
float roll |
float pitch |
float yaw |
float weight |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 11 of file tracking.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::tracking::_ParticleXYZRPY

## data_c

float pcl::tracking::_ParticleXYZRPY::data_c[4]

Definition at line 20 of file tracking.hpp.

## pitch

float pcl::tracking::_ParticleXYZRPY::pitch

Definition at line 16 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), and pcl::tracking::ParticleXYZRPY::weightedAverage().

## roll

float pcl::tracking::_ParticleXYZRPY::roll

Definition at line 15 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), and pcl::tracking::ParticleXYZRPY::weightedAverage().

## weight

float pcl::tracking::_ParticleXYZRPY::weight

Definition at line 18 of file tracking.hpp.

Referenced by pcl::tracking::ParticleXYZRPY::weightedAverage().

## yaw

float pcl::tracking::_ParticleXYZRPY::yaw

Definition at line 17 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), and pcl::tracking::ParticleXYZRPY::weightedAverage().

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp